
MRI Outils - Bug #1729
On ne peut pas changer le mail d'un user si...
01/05/2022 09:19 AM - Olivier Miquel

Status: Closed Start date: 01/05/2022
Priority: Low Due date:
Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version:
Description

On ne peut pas changer le mail d'un user si il a une demande en cours avec cet email.
Je m'explique:

J'ai un ancien compte lmorichon avec comme mail lisa.morichon@inserm.fr

J'ai une demande de compte ( doublon ) en attente avec comme mail associé lisa.morichon@cemipai.fr

Je souhaite mettre a jour le mail de l'ancien compte vers le nouveau et supprimer la demande en attente.
=> Ca me dit que le mail "lisa.morichon@cemipai.fr" existe déjà alors que le compte n'est pas créé.

Dans l'autre sens ça marche ( suppression de la demande en attente mise a jour du mail de l'ancien compte).

Bref on en discute si c'est pas clair.

History
#1 - 01/06/2022 10:21 AM - Olivier Miquel

Suite a la discussion, il faudrait que le warning qui dit que le mail existe déjà différencie les deux cas suivants :
- Un utilisateur validé existe dejà avec cet email
- Un utilsateur en attente de validation existe déjà avec cet email

O.

#2 - 01/07/2022 10:55 AM - Stéphane Laborie
- Status changed from New to Closed
- % Done changed from 0 to 100

fait.
